<?php
if(!defined('IN_DISCUZ')) {
    exit('Access Denied');
}

$sql = <<<EOF

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_actions` (
  `id` bigint(16) UNSIGNED NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `typekey` int(10) UNSIGNED NOT NULL COMMENT '0key1管理key',
  `groups` varchar(255) NOT NULL COMMENT '用户组设置',
  `name` varchar(255) NOT NULL,
  `actions` varchar(255) NOT NULL COMMENT '接口方法',
  `status` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '0打开1关闭',
  `islogs` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '0开启1关闭',
  `snum` int(10) NOT NULL DEFAULT '0' COMMENT '每秒调用次数',
  `hnum` int(10) NOT NULL DEFAULT '0' COMMENT '1小时内最多调用次数',
  `dnum` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '24小时',
  `nums` bigint(16) NOT NULL COMMENT '总调用次数',
  `do` int(10) NOT NULL DEFAULT '0' COMMENT '0不处理、1踢下线、2封号、3封IP',
  `ips` longtext NOT NULL COMMENT 'IP黑名单',
  `url` varchar(255) NOT NULL,
   PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_fields` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `uid` mediumint(8) unsigned NOT NULL,
  `text1` longtext NOT NULL,
  `text2` longtext NOT NULL,
  `text3` longtext NOT NULL,
  `text4` longtext NOT NULL,
  `text5` longtext NOT NULL,
  `text6` longtext NOT NULL,
  `text7` longtext NOT NULL,
  `text8` longtext NOT NULL,
  `text9` longtext NOT NULL,
  `text10` longtext NOT NULL,
  `text11` longtext NOT NULL,
  `text12` longtext NOT NULL,
  `text13` longtext NOT NULL,
  `text14` longtext NOT NULL,
  `text15` longtext NOT NULL,
  `text16` longtext NOT NULL,
  `text17` longtext NOT NULL,
  `text18` longtext NOT NULL,
  `text19` longtext NOT NULL,
  `text20` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_globals` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `text1` longtext NOT NULL,
  `text2` longtext NOT NULL,
  `text3` longtext NOT NULL,
  `text4` longtext NOT NULL,
  `text5` longtext NOT NULL,
  `text6` longtext NOT NULL,
  `text7` longtext NOT NULL,
  `text8` longtext NOT NULL,
  `text9` longtext NOT NULL,
  `text10` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_jiaoyi` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT COMMENT '订单id',
  `typeid` smallint(6) unsigned NOT NULL DEFAULT '1' COMMENT '分类id',
  `maketype` tinyint(1) NOT NULL DEFAULT '0' COMMENT '提交方法',
  `makeruid` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '提交uid',
  `price` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '交易面值',
  `extcreditskey` tinyint(1) NOT NULL DEFAULT '0' COMMENT '积分种类',
  `extcreditsval` int(10) NOT NULL DEFAULT '0' COMMENT '积分值',
  `status` tinyint(1) unsigned NOT NULL COMMENT '交易动作',
  `dateline` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '提交时间',
  `cleardateline` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '过期时间',
  `useddateline` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '交易时间',
  `uid` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '购买者uid',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_jiaoyi_log` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `uid` mediumint(8) NOT NULL DEFAULT '0',
  `username` varchar(20) NOT NULL DEFAULT '',
  `cardrule` varchar(255) NOT NULL DEFAULT '',
  `info` text NOT NULL,
  `dateline` int(10) unsigned NOT NULL DEFAULT '0',
  `description` mediumtext NOT NULL,
  `operation` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_log` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `uid` smallint(5) unsigned NOT NULL,
  `apikey` char(50) DEFAULT NULL,
  `isapi` char(50) DEFAULT NULL,
  `actions` char(50) DEFAULT NULL,
  `errcode` int(3) unsigned DEFAULT NULL,
  `isget` text,
  `ispost` text,
  `time` int(10) unsigned DEFAULT NULL,
  `fromip` char(40) DEFAULT NULL,
  `output` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_members` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(10) unsigned NOT NULL COMMENT '绑定用户',
  `username` char(15) NOT NULL DEFAULT '' COMMENT '绑定用户名',
  `grouptitle` varchar(255) NOT NULL DEFAULT '' COMMENT '当前用户组名',
  `makeuid` int(10) unsigned NOT NULL COMMENT '制卡代理uid',
  `sgin` varchar(255) NOT NULL COMMENT '固定卡密',
  `price` int(10) unsigned NOT NULL COMMENT '面值',
  `type` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '0未激活1激活',
  `typename` varchar(255) NOT NULL DEFAULT '默认分类' COMMENT '分类',
  `status` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '0正常1禁止',
  `changes` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '换绑次数',
  `code` varchar(255) NOT NULL COMMENT '机器码绑定',
  `times` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '卡内剩余时间',
  `credits` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '剩余积分',
  `buycredits` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '剩余交易积分',
  `inttoken` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '多开登录数量',
  `dateline` int(10) unsigned NOT NULL COMMENT '卡号过期时间',
  `groupid` int(10) unsigned NOT NULL COMMENT '当前用户组id',
  `groupline` int(10) unsigned NOT NULL COMMENT '用户组过期时间',
  `clearline` int(10) unsigned NOT NULL COMMENT '激活时间',
  `crons` int(10) unsigned NOT NULL COMMENT '心跳包次数',
  `phone` varchar(255) NOT NULL COMMENT '手机号',
  `qq` varchar(255) NOT NULL COMMENT 'QQopenid',
  `weixin` varchar(255) NOT NULL COMMENT '微信绑定id',
  `safe` varchar(255) NOT NULL COMMENT '安全码',
  `remarks` text NOT NULL COMMENT '备注',
  `moment` text NOT NULL COMMENT '临时存储',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_recharge` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT COMMENT '订单id',
  `typeid` smallint(6) unsigned NOT NULL DEFAULT '0' COMMENT '1支付宝2微信0其他',
  `orderid` varchar(255) NOT NULL COMMENT '订单交易号',
  `type` tinyint(1) DEFAULT NULL COMMENT '充值项目名称',
  `makeruid` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '充值者uid',
  `account` varchar(255) NOT NULL COMMENT '支付账号',
  `price` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '充值面额',
  `extcreditskey` tinyint(1) NOT NULL DEFAULT '0' COMMENT '充值积分种类',
  `extcreditsval` int(10) NOT NULL DEFAULT '0' COMMENT '充值积分值',
  `status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '交易动作0未完成、1已完成',
  `dateline` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '充值时间',
  `cleardateline` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '积分充值成功时间',
  `makertext` text NOT NULL COMMENT '充值备注',
  `admintext` text NOT NULL COMMENT '积分充值备注',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_tixian` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT COMMENT '订单id',
  `typeid` smallint(6) unsigned NOT NULL DEFAULT '1' COMMENT '分类id',
  `maketype` tinyint(1) NOT NULL DEFAULT '0' COMMENT '提交方法',
  `makeruid` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '提交uid',
  `price` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT '交易面值',
  `extcreditskey` tinyint(1) NOT NULL DEFAULT '0' COMMENT '积分种类',
  `extcreditsval` int(10) NOT NULL DEFAULT '0' COMMENT '积分值',
  `status` tinyint(1) unsigned NOT NULL COMMENT '交易动作',
  `uiddate` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '提交时间',
  `uidtext` text NOT NULL COMMENT '提现备注',
  `alipay` varchar(255) NOT NULL COMMENT '支付宝',
  `weixin` varchar(255) NOT NULL COMMENT '微信',
  `admindateline` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '交易时间',
  `admintext` varchar(255) NOT NULL COMMENT '处理备注',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_token` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `uid` mediumint(8) unsigned DEFAULT NULL,
  `username` char(15) DEFAULT NULL,
  `ip1` tinyint(3) unsigned DEFAULT NULL,
  `ip2` tinyint(3) unsigned DEFAULT NULL,
  `ip3` tinyint(3) unsigned DEFAULT NULL,
  `ip4` tinyint(3) unsigned DEFAULT NULL,
  `groupid` tinyint(3) unsigned DEFAULT NULL COMMENT '会员组id',
  `adminid` tinyint(3) unsigned DEFAULT NULL COMMENT '管理组id',
  `token` varchar(1000) DEFAULT NULL COMMENT '验证token',
  `tokens` mediumtext NOT NULL COMMENT 'tokens数组',
  `tnum` int(10) unsigned DEFAULT '0' COMMENT '被踢下线次数',
  `lastactivity` int(10) unsigned DEFAULT NULL COMMENT '最后活动时间',
  `loginint` int(10) unsigned NOT NULL COMMENT '登录次数',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_set` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `text1` longtext NOT NULL,
  `text2` longtext NOT NULL,
  `text3` longtext NOT NULL,
  `text4` longtext NOT NULL,
  `text5` longtext NOT NULL,
  `text6` longtext NOT NULL,
  `text7` longtext NOT NULL,
  `text8` longtext NOT NULL,
  `text9` longtext NOT NULL,
  `text10` longtext NOT NULL,
  `text11` longtext NOT NULL,
  `text12` longtext NOT NULL,
  `text13` longtext NOT NULL,
  `text14` longtext NOT NULL,
  `text15` longtext NOT NULL,
  `text16` longtext NOT NULL,
  `text17` longtext NOT NULL,
  `text18` longtext NOT NULL,
  `text19` longtext NOT NULL,
  `text20` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_phone_log` (
  `id` BIGINT(16) NOT NULL AUTO_INCREMENT,
  `type` int(1) unsigned NOT NULL DEFAULT '0' COMMENT '0=验证码1=发短信2=登录',
  `phone` varchar(11) NOT NULL COMMENT '手机号',
  `code` varchar(255) NOT NULL COMMENT '验证码',
  `content` varchar(255) NOT NULL COMMENT '短信内容',
  `template` varchar(255) NOT NULL COMMENT '短信模版',
  `BizId` int(10) unsigned NOT NULL COMMENT '回执ID',
  `RequestId` int(10) unsigned NOT NULL COMMENT '请求id',
  `dateline` int(10) unsigned NOT NULL DEFAULT '0',
  `oldtime` int(10) unsigned NOT NULL COMMENT '过期时间',
  `ip` varchar(255) NOT NULL COMMENT 'ip地址',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_email_log` (
  `id` BIGINT(16) NOT NULL AUTO_INCREMENT,
  `type` int(1) unsigned NOT NULL DEFAULT '0' COMMENT '0=验证码1=发邮件2=登录',
  `email` varchar(50) NOT NULL COMMENT '邮箱地址',
  `code` varchar(255) NOT NULL COMMENT '验证码',
  `content` varchar(255) NOT NULL COMMENT '短信内容',
  `template` varchar(255) NOT NULL COMMENT '短信模版',
  `BizId` int(10) unsigned NOT NULL COMMENT '回执ID',
  `RequestId` int(10) unsigned NOT NULL COMMENT '请求id',
  `dateline` int(10) unsigned NOT NULL DEFAULT '0',
  `oldtime` int(10) unsigned NOT NULL COMMENT '过期时间',
  `ip` varchar(255) NOT NULL COMMENT 'ip地址',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_codepays` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `pay_uid` int(11) unsigned NOT NULL COMMENT '用户uid',
  `pay_id` varchar(50) NOT NULL COMMENT '用户ID或订单ID',
  `money` decimal(6,2) unsigned NOT NULL COMMENT '实际金额',
  `price` decimal(6,2) unsigned NOT NULL COMMENT '原价',
  `type` int(1) NOT NULL DEFAULT '1' COMMENT '支付方式',
  `pay_no` varchar(100) NOT NULL COMMENT '流水号',
  `param` varchar(200) DEFAULT NULL COMMENT '自定义参数1为时间充值，其他都是积分',
  `pay_time` bigint(11) NOT NULL DEFAULT '0' COMMENT '付款时间',
  `pay_tag` varchar(100) NOT NULL DEFAULT '0' COMMENT '金额的备注',
  `status` int(1) NOT NULL DEFAULT '0' COMMENT '订单状态0失败1成功',
  `creditskey` int(1) unsigned NOT NULL COMMENT '充值积分类型',
  `creditsval` int(11) unsigned NOT NULL COMMENT '充值积分值',
  `signtime` int(11) unsigned NOT NULL COMMENT '充值卡号时间',
  `codes` varchar(255) NOT NULL COMMENT '邀请码',
  `cards` varchar(255) NOT NULL COMMENT '激活卡号',
  `creat_time` bigint(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `up_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_sign` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `uid` int(10) unsigned NOT NULL COMMENT '绑定用户',
  `makeuid` int(10) unsigned NOT NULL COMMENT '制卡代理uid',
  `type` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '0未激活1激活',
  `sgin` varchar(255) NOT NULL COMMENT '固定卡密',
  `price` int(10) unsigned NOT NULL COMMENT '面值',
  `typename` varchar(255) NOT NULL DEFAULT '默认分类' COMMENT '分类',
  `status` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT '0正常1锁定',
  `times` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '卡内剩余时间',
  `credits` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '剩余积分',
  `buycredits` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '剩余交易积分',
  `inttoken` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '多开登录数量',
  `dateline` int(10) unsigned NOT NULL COMMENT '制作时间',
  `clearline` int(10) unsigned NOT NULL COMMENT '激活时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_sign_log` (
  `id` BIGINT(16) NOT NULL AUTO_INCREMENT,
  `uid` mediumint(8) NOT NULL DEFAULT '0' COMMENT '提卡uid',
  `price` int(10) unsigned NOT NULL COMMENT '面值',
  `cardrule` varchar(255) NOT NULL DEFAULT '' COMMENT '卡号规则',
  `extcreditskey` int(10) unsigned NOT NULL COMMENT '积分类型',
  `extcreditsval` int(10) unsigned NOT NULL COMMENT '积分值',
  `info` text NOT NULL COMMENT '备注信息',
  `dateline` int(10) NOT NULL DEFAULT '0' COMMENT '操作日期',
  `description` text NOT NULL COMMENT '提卡类型',
  `num` int(10) unsigned NOT NULL DEFAULT '0' COMMENT '购买数量',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;

CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_license` (
  `id` BIGINT(16) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL COMMENT '授权分类',
  `uid` int(10) unsigned NOT NULL,
  `name` varchar(255) NOT NULL COMMENT '用户名',
  `time` int(10) unsigned NOT NULL COMMENT '到期时间',
  `times` int(10) unsigned NOT NULL COMMENT '更新时间',
  `groupid` int(10) unsigned NOT NULL COMMENT '用户组id',
  `domain` varchar(255) NOT NULL COMMENT '域名',
  `license` varchar(1000) NOT NULL COMMENT '授权码',
  `status` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_credits_log` (
  `id` BIGINT(16) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '日志id',
  `uid` bigint(16) UNSIGNED NOT NULL DEFAULT '0' COMMENT '所属用户uid',
  `username` text NOT NULL,
  `operation` text NOT NULL COMMENT '操作类型',
  `relatedid` int(10) UNSIGNED NOT NULL COMMENT '操作处理类型',
  `dateline` int(10) UNSIGNED NOT NULL COMMENT '记录时间',
  `extcredits1` int(10) NOT NULL,
  `extcredits2` int(10) NOT NULL,
  `extcredits3` int(10) NOT NULL,
  `extcredits4` int(10) NOT NULL,
  `extcredits5` int(10) NOT NULL,
  `extcredits6` int(10) NOT NULL,
  `extcredits7` int(10) NOT NULL,
  `extcredits8` int(10) NOT NULL,
  `title` varchar(100) NOT NULL COMMENT '标题',
  `text` text NOT NULL COMMENT '内容',
  `sgin` text NOT NULL COMMENT '签名',
   PRIMARY KEY (`id`)
) ENGINE=MyISAM;


CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_payjss` (
  `id` BIGINT(16) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '日志id',
  `uid` bigint(16) UNSIGNED NOT NULL COMMENT '用户uid',
  `status` int(1) UNSIGNED NOT NULL COMMENT '状态码1发起支付2已支付',
  `orderid` varchar(255) NOT NULL COMMENT '用户生成的订单号原样返回',
  `price` int(16) UNSIGNED NOT NULL COMMENT '支付金额元',
  `ip` varchar(255) NOT NULL COMMENT 'ip',
  `types` int(1) UNSIGNED NOT NULL DEFAULT '1' COMMENT '充值类型1为微信2为支付宝3其他',
  `payjs_order_id` varchar(255) NOT NULL COMMENT 'PAYJS 平台订单号',
  `attach` varchar(255) NOT NULL COMMENT '用户自定义数据\r\n',
  `return_code` int(1) UNSIGNED NOT NULL COMMENT '订单提交成功',
  `transaction_id` varchar(255) NOT NULL COMMENT '微信用户手机显示订单号',
  `submitdate` varchar(255) NOT NULL COMMENT '下单时间',
  `time_end` varchar(255) NOT NULL COMMENT '支付成功时间',
  `openid` varchar(255) NOT NULL COMMENT '用户OPENID标示，本参数没有实际意义，旨在方便用户端区分不同用户',
  `mchid` varchar(255) NOT NULL COMMENT 'PAYJS 商户号',
  `pay_type` int(1) NOT NULL DEFAULT '0' COMMENT '支付类型。1积分充值2时间充值3购买卡密',
  `sign` varchar(255) NOT NULL COMMENT '数据签名',
  `pay_log` varchar(255) NOT NULL COMMENT '充值备注',
  `creditskey` int(1) UNSIGNED NOT NULL COMMENT '充值积分类型',
  `creditsval` int(11) UNSIGNED NOT NULL COMMENT '充值积分值',
  `signtime` int(11) UNSIGNED NOT NULL COMMENT '充值卡号时间',
  `codes` varchar(255) NOT NULL COMMENT '邀请码',
  `cards` varchar(255) NOT NULL COMMENT '激活卡号',
  `kami` varchar(255) NOT NULL COMMENT '购买卡密',
  `body` varchar(255) NOT NULL COMMENT '支付商品名称',
  `texts` text NOT NULL COMMENT '提交参数',
  `nums` int(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '查询次数',
   PRIMARY KEY (`id`)
)  ENGINE=MyISAM;



CREATE TABLE IF NOT EXISTS `pre_xinxiu_network_cache` (
  `id` BIGINT(16) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'id',
  `cache_uid` int(10) UNSIGNED NOT NULL COMMENT '发布uid',
  `cache_type` longtext NOT NULL COMMENT '分类',
  `cache_key` longtext NOT NULL,
  `cache_vlaue` longtext NOT NULL,
  `cache_time` int(11) UNSIGNED NOT NULL,
  `cache_groupid` longtext NOT NULL COMMENT '用户组',
  `cache_credist` longtext NOT NULL COMMENT '积分',
  `cache_rule` longtext NOT NULL COMMENT '规则',
  `cache_start` int(11) UNSIGNED NOT NULL COMMENT '状态0是开启1是关闭',
  `cache_text` longtext NOT NULL COMMENT '备注',
   PRIMARY KEY (`id`)
) ENGINE=MyISAM;


EOF;
@runquery($sql);
unset($sql);//销毁变量

//
//unset($col_field);//销毁变量
//$query = DB::query("SHOW COLUMNS FROM ".DB::table('xinxiu_network_members'));
//while($row = DB::fetch($query)) {
//    $col_field[]=$row['Field'];
//}//罗列表内字段
//if(!in_array('username', $col_field)){//判断字段是否存在
//    $sql = "Alter table ".DB::table('xinxiu_network_members')." add `username`  char(15) NOT NULL DEFAULT '' COMMENT '绑定用户名';";
//    DB::query($sql);//执行增加字段语句
//}
//if(!in_array('grouptitle', $col_field)){
//    $sql = "Alter table ".DB::table('xinxiu_network_members')." add `grouptitle`   varchar(255) NOT NULL DEFAULT '' COMMENT '当前用户组名';";
//    DB::query($sql);
//}
//unset($sql);//销毁变量
//unset($col_field);//销毁变量


//$query = DB::query("SHOW COLUMNS FROM ".DB::table('xinxiu_network_actions'));
//while($row = DB::fetch($query)) {
//    $col_field[]=$row['Field'];
//}//罗列表内字段
//if(!in_array('typekey', $col_field)){//判断字段是否存在
//    $sql = "Alter table ".DB::table('xinxiu_network_actions')." add `typekey`  INT(10) UNSIGNED NOT NULL COMMENT '0key1管理key' AFTER `type`;";
//    DB::query($sql);//执行增加字段语句
//}
//if(!in_array('groups', $col_field)){//判断字段是否存在
//    $sql = "Alter table ".DB::table('xinxiu_network_actions')." add `groups`  VARCHAR(255) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户组设置' AFTER `typekey`;";
//    DB::query($sql);//执行增加字段语句
//}
//if(!in_array('islogs', $col_field)){//判断字段是否存在
//    $sql = "Alter table ".DB::table('xinxiu_network_actions')." ADD `islogs` INT(10) UNSIGNED NOT NULL DEFAULT '0' COMMENT '0开启1关闭' AFTER `status`;";
//    DB::query($sql);//执行增加字段语句
//}


//设置全局变量和私人变量
//for($i=1;$i<11;$i++) {
//    DB::insert('xinxiu_network_set',array('id'=>$i),true,false,true);
//    DB::insert('xinxiu_network_globals',array('id'=>$i),true,false,true);
//}

//更改数据表格式
//
//$sql = "Alter table ".DB::table('xinxiu_network_log')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_codepays')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_email_log')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_fields')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_globals')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_jiaoyi')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_jiaoyi_log')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_license')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_members')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_phone_log')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_recharge')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_set')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_sign')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_sign_log')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_tixian')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_token')." CHANGE `id` `id` BIGINT( 16 ) UNSIGNED NOT NULL AUTO_INCREMENT";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量
//$sql = "Alter table ".DB::table('xinxiu_network_actions')." CHANGE `nums` `nums` BIGINT( 16 ) NOT NULL COMMENT '总调用次数';";
//DB::query($sql);//更新日志表最大行数
//unset($sql);//销毁变量

  
  // ALTER TABLE `pre_xinxiu_network_credits_log` CHANGE `id` `id` BIGINT(16) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '日志id', add PRIMARY KEY (`id`);
    
    $query = DB::query("SHOW COLUMNS FROM ".DB::table('xinxiu_network_members'));
    while($row = DB::fetch($query)) {
        $col_field[]=$row['Field'];
    }//罗列表内字段
    if(!in_array('remarks', $col_field)){//判断字段是否存在
        $sql = "ALTER TABLE ".DB::table('xinxiu_network_members')." ADD `remarks` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '备注' AFTER `safe`, ADD `moment` TEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '临时存储' AFTER `remarks`;";
        DB::query($sql);//更新用户数据表内备注和临时变量存储
    }
    unset($sql);//销毁变量
    unset($col_field);//销毁变量
    
    //添加计划任务
    //向common_cron表添加计划任务
    //添加计划任务
    //向common_cron表添加计划任务
    $data_hour = array(
        'available' => 1,
        'type' => "plugin",
        'name' => "新秀计划任务每时类",
        'filename' => "xinxiu_network:cron_xinxiu_network_hour.php",
        'weekday' => -1,
        'day'=>-1,
        'hour'=>-1,
        'minute'=>0
    );
    $str =  DB::fetch_first("SELECT * FROM %t WHERE  filename = %s",array('common_cron','xinxiu_network:cron_xinxiu_network_hour.php'));
    $str ?  $data_hour['cronid'] = $str['cronid'] :true;
    DB::insert('common_cron',$data_hour,true,false,true);
    $data_week = array(
        'available' => 1,
        'type' => "plugin",
        'name' => "新秀计划任务每周类",
        'filename' => "xinxiu_network:cron_xinxiu_network_week.php",
        'weekday' => 1,
        'day'=>-1,
        'hour'=>-1,
        'minute'=>0
    );
    $str =  DB::fetch_first("SELECT * FROM %t WHERE  filename = %s",array('common_cron','xinxiu_network:cron_xinxiu_network_week.php'));
    $str ?  $data_week['cronid'] = $str['cronid'] : true;
    DB::insert('common_cron',$data_week,true,false,true);
    $data_month = array(
        'available' => 1,
        'type' => "plugin",
        'name' => "新秀计划任务每月类",
        'filename' => "xinxiu_network:cron_xinxiu_network_month.php",
        'weekday' => -1,
        'day'=>1,
        'hour'=>-1,
        'minute'=>0
    );
    $str =  DB::fetch_first("SELECT * FROM %t WHERE  filename = %s",array('common_cron','xinxiu_network:cron_xinxiu_network_month.php'));
    $str ?  $data_month['cronid'] = $str['cronid'] :true;
    DB::insert('common_cron',$data_month,true,false,true);
    $data_day= array(
        'available' => 1,
        'type' => "plugin",
        'name' => "新秀计划任务每日类",
        'filename' => "xinxiu_network:cron_xinxiu_network_day.php",
        'weekday' => -1,
        'day'=>-1,
        'hour'=>1,
        'minute'=>0
    );
    $str =  DB::fetch_first("SELECT * FROM %t WHERE  filename = %s",array('common_cron','xinxiu_network:cron_xinxiu_network_day.php'));
    $str ?  $data_day['cronid'] = $str['cronid'] : true;
    DB::insert('common_cron',$data_day,true,false,true);
    $data= array(
        'available' => 1,
        'type' => "plugin",
        'name' => "新秀计划任务自定义类",
        'filename' => "xinxiu_network:cron_xinxiu_network.php",
        'weekday' => -1,
        'day'=>-1,
        'hour'=>-1,
        'minute'=>0
    );
    $str =  DB::fetch_first("SELECT * FROM %t WHERE  filename = %s",array('common_cron','xinxiu_network:cron_xinxiu_network.php'));
    $str ?  $data['cronid'] = $str['cronid'] :true;
    DB::insert('common_cron',$data,true,false,true);
    //添加计划任务结束


//更新接口数据表
$data = array(
    'id' =>1,
    'type' =>'初始模块',
    'name'=>'登录初始化',
    'actions'=>'login_user',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>2,
    'type' =>'初始模块',
    'name'=>'卡号登陆（初始化）',
    'actions'=>'login_cards',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>3,
    'type' =>'初始模块',
    'name'=>'用户注册',
    'actions'=>'login_register',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>4,
    'type' =>'初始模块',
    'name'=>'读取远程变量',
    'actions'=>'login_get_globals',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>5,
    'type' =>'初始模块',
    'name'=>'软件配置信息',
    'actions'=>'login_config',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>6,
    'type' =>'初始模块',
    'name'=>'验证客户端',
    'actions'=>'login_md5',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>7,
    'type' =>'用户模块',
    'name'=>'心跳包',
    'actions'=>'user_crons',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>8,
    'type' =>'扩展模块',
    'name'=>'扣积分-增强版',
    'actions'=>'user_credists',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>9,
    'type' =>'扩展模块',
    'name'=>'邮件发送-DZ内置',
    'actions'=>'send_mail',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>10,
    'type' =>'用户模块',
    'name'=>'用户基本信息',
    'actions'=>'user_info',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>11,
    'type' =>'用户模块',
    'name'=>'用户扩展信息',
    'actions'=>'user_count',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>12,
    'type' =>'用户模块',
    'name'=>'用户头像地址',
    'actions'=>'user_avatar',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>13,
    'type' =>'用户模块',
    'name'=>'读取私人变量',
    'actions'=>'user_get_fields',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>14,
    'type' =>'用户模块',
    'name'=>'设置私人变量',
    'actions'=>'user_set_fields',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>15,
    'type' =>'用户模块',
    'name'=>'验证安全码',
    'actions'=>'user_getsafe',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>16,
    'type' =>'用户模块',
    'name'=>'设置/更新安全码',
    'actions'=>'user_setsafe',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>17,
    'type' =>'用户模块',
    'name'=>'更改用户密码',
    'actions'=>'user_edit_password',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>18,
    'type' =>'用户模块',
    'name'=>'激活用户信息',
    'actions'=>'user_members',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>19,
    'type' =>'用户模块',
    'name'=>'服务器当前时间',
    'actions'=>'user_times',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>20,
    'type' =>'积分模块',
    'name'=>'减积分',
    'actions'=>'user_credist',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>21,
    'type' =>'好友模块',
    'name'=>'添加好友请求',
    'actions'=>'friends_add',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>22,
    'type' =>'好友模块',
    'name'=>'查询好友申请',
    'actions'=>'friends_request',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>23,
    'type' =>'好友模块',
    'name'=>'查询好友列表',
    'actions'=>'friends_ls',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>24,
    'type' =>'好友模块',
    'name'=>'通过好友验证',
    'actions'=>'friends_add_uid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>25,
    'type' =>'好友模块',
    'name'=>'删除指定好友',
    'actions'=>'friends_delete',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>26,
    'type' =>'充值模块',
    'name'=>'积分兑换时间',
    'actions'=>'card_times',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>27,
    'type' =>'充值模块',
    'name'=>'积分充值(DZ卡密)',
    'actions'=>'card_credists',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>28,
    'type' =>'分销模块',
    'name'=>'可购卡密数',
    'actions'=>'sale_connt',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>29,
    'type' =>'分销模块',
    'name'=>'分销提卡',
    'actions'=>'sale_buy',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>30,
    'type' =>'分销模块',
    'name'=>'获取已购卡密',
    'actions'=>'sale_ls',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>31,
    'type' =>'提现模块',
    'name'=>'申请提现',
    'actions'=>'sale_credits_bank',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>32,
    'type' =>'提现模块',
    'name'=>'提现记录',
    'actions'=>'sale_credits_ls',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>33,
    'type' =>'消息模块',
    'name'=>'发送短消息',
    'actions'=>'pm_send',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>34,
    'type' =>'消息模块',
    'name'=>'查询新消息',
    'actions'=>'pm_checknew',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>35,
    'type' =>'用户组模块',
    'name'=>'可购买用户组',
    'actions'=>'groups_is',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>36,
    'type' =>'用户组模块',
    'name'=>'购买用户组',
    'actions'=>'groups_buy',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>37,
    'type' =>'用户组模块',
    'name'=>'切换用户组',
    'actions'=>'groups_qh',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>38,
    'type' =>'用户组模块',
    'name'=>'原普通会员组id',
    'actions'=>'groups_id',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>39,
    'type' =>'用户组模块',
    'name'=>'已购会员组信息',
    'actions'=>'groups_ls',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>40,
    'type' =>'扩展模块',
    'name'=>'短信发送验证码（阿里云）',
    'actions'=>'login_get_sms',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>41,
    'type' =>'论坛模块',
    'name'=>'获取版块列表',
    'actions'=>'forum_list',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>42,
    'type' =>'论坛模块',
    'name'=>'获取版块帖子',
    'actions'=>'forum_by_fid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>43,
    'type' =>'论坛模块',
    'name'=>'获取主题回复',
    'actions'=>'forum_by_tid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>44,
    'type' =>'论坛模块',
    'name'=>'发布主题',
    'actions'=>'forum_post',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>45,
    'type' =>'论坛模块',
    'name'=>'回复主题',
    'actions'=>'forum_post_tid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>46,
    'type' =>'排行模块',
    'name'=>'用户积分排行',
    'actions'=>'rank_credits',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>47,
    'type' =>'排行模块',
    'name'=>'用户扩展排行',
    'actions'=>'rank_count',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>48,
    'type' =>'手机模块',
    'name'=>'发送验证码',
    'actions'=>'send_sms_code',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>49,
    'type' =>'手机模块',
    'name'=>'手机绑定账号',
    'actions'=>'send_phone_user',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>50,
    'type' =>'手机模块',
    'name'=>'手机登录',
    'actions'=>'send_sms_login',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>51,
    'type' =>'手机模块',
    'name'=>'短信发送',
    'actions'=>'send_sms',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>52,
    'type' =>'QQ模块',
    'name'=>'QQ登录',
    'actions'=>'qq_login',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>53,
    'type' =>'初始模块',
    'name'=>'找回密码(安全码)',
    'actions'=>'safe_set_password',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>54,
    'type' =>'初始模块',
    'name'=>'找回密码(email)',
    'actions'=>'email_set_password',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>55,
    'type' =>'支付模块',
    'name'=>'在线积分充值',
    'actions'=>'payjs_credit',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
//更新55号接口
$data = array(
    'type' =>'支付模块',
    'name'=>'在线积分充值',
    'actions'=>'payjs_credit',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::update('xinxiu_network_actions',$data,'id=55',true);
//更新55号接口

$data = array(
    'id' =>56,
    'type' =>'充值模块',
    'name'=>'充值卡密充值',
    'actions'=>'card_user',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>57,
    'type' =>'初始模块',
    'name'=>'获取在线人数',
    'actions'=>'login_counts',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>58,
    'type' =>'微信模块',
    'name'=>'微信登录',
    'actions'=>'wx_login',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>59,
    'type' =>'用户模块',
    'name'=>'获取指定用户信息',
    'actions'=>'get_user_info',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>60,
    'type' =>'消息模块',
    'name'=>'发送系统提醒消息',
    'actions'=>'pm_system',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>61,
    'type' =>'扩展模块',
    'name'=>'免登同步接口',
    'actions'=>'send_url',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
//更新61号接口
$data = array(
    'type' =>'扩展模块',
    'name'=>'免登同步接口',
    'actions'=>'send_url',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::update('xinxiu_network_actions',$data,'id=61',true);
//更新61号接口
$data = array(
    'id' =>62,
    'type' =>'积分模块',
    'name'=>'增积分',
    'actions'=>'user_credist_add',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>63,
    'type' =>'初始模块',
    'name'=>'检查邮箱验证',
    'actions'=>'user_is_email',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);

$data = array(
    'id' =>64,
    'type' =>'初始模块',
    'name'=>'检测用户名是否合法',
    'actions'=>'user_is_username',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);

$data = array(
    'id' =>65,
    'type' =>'消息模块',
    'name'=>'短消息中心（网页）',
    'actions'=>'pm_location',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);

$data = array(
    'id' =>66,
    'type' =>'消息模块',
    'name'=>'删除指定用户短消息',
    'actions'=>'pm_del_uid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);

$data = array(
    'id' =>67,
    'type' =>'初始模块',
    'name'=>'设置远程变量(服务器)',
    'actions'=>'login_set_globals',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>68,
    'type' =>'积分模块',
    'name'=>'增积分（增强版）',
    'actions'=>'user_credists_add',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);

$data = array(
    'id' =>69,
    'type' =>'扩展模块',
    'name'=>'cookies转token',
    'actions'=>'send_cookies',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);

$data = array(
    'id' =>70,
    'type' =>'搜索模块',
    'name'=>'搜索用户',
    'actions'=>'search_member',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);

DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>71,
    'type' =>'搜索模块',
    'name'=>'搜索帖子',
    'actions'=>'search_forum',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>72,
    'type' =>'积分模块',
    'name'=>'扣积分（增强版）',
    'actions'=>'user_credists',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>73,
    'type' =>'支付模块',
    'name'=>'在线充值时间',
    'actions'=>'payjs_cardtime',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>74,
    'type' =>'支付模块',
    'name'=>'在线购买充值卡密',
    'actions'=>'payjs_kamis',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>75,
    'type' =>'支付模块',
    'name'=>'获取充值卡密规则',
    'actions'=>'payjs_kamis_list',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>76,
    'type' =>'支付模块',
    'name'=>'订单查询接口',
    'actions'=>'payjs_check',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>77,
    'type' =>'支付模块',
    'name'=>'查询个人支付记录',
    'actions'=>'payjs_check_id',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>78,
    'type' =>'QQ登录模块',
    'name'=>'QQ登录绑定-第二步',
    'actions'=>'openid_login',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>79,
    'type' =>'QQ登录模块',
    'name'=>'QQ登录接口-第一步',
    'actions'=>'qq_login',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>80,
    'type' =>'论坛模块',
    'name'=>'修改主题帖内容',
    'actions'=>'set_by_tid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>81,
    'type' =>'论坛模块',
    'name'=>'修改回复帖内容',
    'actions'=>'set_by_pid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>82,
    'type' =>'论坛模块',
    'name'=>'获取个人用户主题帖列表',
    'actions'=>'get_by_tid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>83,
    'type' =>'论坛模块',
    'name'=>'获取个人用户回复帖列表',
    'actions'=>'get_by_pid',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>84,
    'type' =>'论坛模块',
    'name'=>'获取帖子附件列表',
    'actions'=>'forum_by_tid_attachment',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>85,
    'type' =>'论坛模块',
    'name'=>'查询附件购买记录',
    'actions'=>'aid_buy_list',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
$data = array(
    'id' =>86,
    'type' =>'论坛模块',
    'name'=>'购买附件接口',
    'actions'=>'aid_buy_attachment',
    'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
);
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>87,
        'type' =>'论坛模块',
        'name'=>'查询用户附件收益',
        'actions'=>'aid_buy_credits',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>88,
        'type' =>'论坛模块',
        'name'=>'查询个人附件列表',
        'actions'=>'uid_buy_attachment',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>89,
        'type' =>'消息模块',
        'name'=>'获取短信息列表',
        'actions'=>'pm_list',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>90,
        'type' =>'消息模块',
        'name'=>'回复短消息',
        'actions'=>'pm_send_reply',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>91,
        'type' =>'消息模块',
        'name'=>'获取单条信息内容',
        'actions'=>'pm_get',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);

    $data = array(
        'id' =>92,
        'type' =>'消息模块',
        'name'=>'标记消息已读',
        'actions'=>'pm_readstatus',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);

    $data = array(
        'id' =>93,
        'type' =>'消息模块',
        'name'=>'删除指定短消息',
        'actions'=>'pm_del_pm',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>94,
        'type' =>'消息模块',
        'name'=>'删除个人黑名单',
        'actions'=>'blackls_del',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);

    $data = array(
        'id' =>95,
        'type' =>'消息模块',
        'name'=>'添加个人黑名单',
        'actions'=>'blackls_add',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>96,
        'type' =>'消息模块',
        'name'=>'获取个人黑名单',
        'actions'=>'blackls_get',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>97,
        'type' =>'消息模块',
        'name'=>'踢出群聊成员',
        'actions'=>'kick_chat_uid',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>98,
        'type' =>'消息模块',
        'name'=>'添加群聊成员',
        'actions'=>'add_chat_uid',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    $data = array(
        'id' =>99,
        'type' =>'消息模块',
        'name'=>'获取群聊成员列表',
        'actions'=>'pm_chat_mmember',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    
    $data = array(
        'id' =>100,
        'type' =>'初始模块',
        'name'=>'退出登录',
        'actions'=>'login_exit',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
DB::insert('xinxiu_network_actions',$data,true,false,true);
    
    $data = array(
        'id' =>101,
        'type' =>'消息模块',
        'name'=>'获取系统提醒信息',
        'actions'=>'pm_system_checknew',
        'url'=>'http://www.xinxiuvip.com/forum.php?mod=viewthread&tid=313'
    );
    DB::insert('xinxiu_network_actions',$data,true,false,true);
    
    
$finish = TRUE;
?>
